<form method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_document_edit' slug=slug %}"
    {% else %}
        action="{% url 'profile:admin_document_create' %}"
    {% endif %}>

   
    {% csrf_token %}
    
    {% if edit %}
        <input type="hidden" name="{{ form.slug.name }}" id="{{ form.slug.id_for_label }}" value="{{ form.slug.value|stringformat:'s' }}">
    {% endif %}

    <div class="form-group">
        <label for="{{ form.dokumen.id_for_label }}">Dokumen</label>
        <input type="file" placeholder="Masukkan dokumen dokumen..."
            class="form-control {% if form.dokumen.errors %}is-invalid{% endif %}"
            name="{{ form.dokumen.name }}"
            id="{{ form.dokumen.id_for_label }}" 
            maxlength="{{ form.dokumen.field.max_length }}"
            {% if form.dokumen.field.required and not edit %}required{% endif %} >
        <small id="passwordHelpBlock" class="form-text text-muted">
            {% if edit %}
                Kosongi apabila tidak ingin mengganti file. {% if doc.dokumen %}<a href="{{ doc.dokumen.url }}" target="_blank"><i class="bi bi-file-earmark"> File lama</i></a>{% endif %}
            {% endif %}
        </small>
            {% if form.dokumen.errors %}
            <div class="invalid-feedback">
                {{ form.dokumen.errors }}
            </div>
        {% endif %}
    </div>
    
    <div class="form-group">
        <label for="{{ form.nama.id_for_label }}">Nama</label>
        <input type="text" placeholder="Masukkan nama dokumen..."
            class="form-control {% if form.nama.errors %}is-invalid{% endif %}"
            name="{{ form.nama.name }}"
            id="{{ form.nama.id_for_label }}" 
            maxlength="{{ form.nama.field.max_length }}"
            {% if form.nama.value != None %}value="{{ form.nama.value|stringformat:'s' }}"{% endif %}
            {% if form.nama.field.required %}required{% endif %} >
        {% if form.nama.errors %}
            <div class="invalid-feedback">
                {{ form.nama.errors }}
            </div>
        {% endif %}
    </div>

    <div class="form-group">
        <label for="{{ form.keterangan.id_for_label }}">Keterangan</label>
        <textarea 
            class="form-control {% if form.keterangan.errors %}is-invalid{% endif %}" 
            id="{{ form.keterangan.id_for_label }}" 
            name="{{ form.keterangan.name }}"
            maxlength="{{ form.keterangan.field.max_length }}"
            {% if form.keterangan.field.required %}required{% endif %}
            rows="5">{% if form.keterangan.value != None %}{{ form.keterangan.value|stringformat:'s' }}{% endif %}</textarea>
        {% if form.keterangan.errors %}
            <div class="invalid-feedback">
                {{ form.keterangan.errors }}
            </div>
        {% endif %}
    </div>

    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan</button>
</form>